Bullet Collision Detection & Physics Library: btPersistentManifoldDoubleData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btPersistentManifoldDoubleData Struct Reference

`#include <btPersistentManifold.h>`

Collaboration diagram for btPersistentManifoldDoubleData:
[legend]

## Public Attributes
btVector3DoubleData | m_pointCacheLocalPointA [4]
btVector3DoubleData | m_pointCacheLocalPointB [4]
btVector3DoubleData | m_pointCachePositionWorldOnA [4]
btVector3DoubleData | m_pointCachePositionWorldOnB [4]
btVector3DoubleData | m_pointCacheNormalWorldOnB [4]
btVector3DoubleData | m_pointCacheLateralFrictionDir1 [4]
btVector3DoubleData | m_pointCacheLateralFrictionDir2 [4]
double | m_pointCacheDistance [4]
double | m_pointCacheAppliedImpulse [4]
double | m_pointCachePrevRHS [4]
double | m_pointCacheCombinedFriction [4]
double | m_pointCacheCombinedRollingFriction [4]
double | m_pointCacheCombinedSpinningFriction [4]
double | m_pointCacheCombinedRestitution [4]
int | m_pointCachePartId0 [4]
int | m_pointCachePartId1 [4]
int | m_pointCacheIndex0 [4]
int | m_pointCacheIndex1 [4]
int | m_pointCacheContactPointFlags [4]
double | m_pointCacheAppliedImpulseLateral1 [4]
double | m_pointCacheAppliedImpulseLateral2 [4]
double | m_pointCacheContactMotion1 [4]
double | m_pointCacheContactMotion2 [4]
double | m_pointCacheContactCFM [4]
double | m_pointCacheCombinedContactStiffness1 [4]
double | m_pointCacheContactERP [4]
double | m_pointCacheCombinedContactDamping1 [4]
double | m_pointCacheFrictionCFM [4]
int | m_pointCacheLifeTime [4]
int | m_numCachedPoints
int | m_companionIdA
int | m_companionIdB
int | m_index1a
int | m_objectType
double | m_contactBreakingThreshold
double | m_contactProcessingThreshold
int | m_padding
btCollisionObjectDoubleData * | m_body0
btCollisionObjectDoubleData * | m_body1

## Detailed Description

Definition at line 271 of file btPersistentManifold.h.

## Member Data Documentation

## ◆ m_body0

btCollisionObjectDoubleData* btPersistentManifoldDoubleData::m_body0

Definition at line 313 of file btPersistentManifold.h.

## ◆ m_body1

btCollisionObjectDoubleData* btPersistentManifoldDoubleData::m_body1

Definition at line 314 of file btPersistentManifold.h.

## ◆ m_companionIdA

int btPersistentManifoldDoubleData::m_companionIdA

Definition at line 304 of file btPersistentManifold.h.

## ◆ m_companionIdB

int btPersistentManifoldDoubleData::m_companionIdB

Definition at line 305 of file btPersistentManifold.h.

## ◆ m_contactBreakingThreshold

double btPersistentManifoldDoubleData::m_contactBreakingThreshold

Definition at line 309 of file btPersistentManifold.h.

## ◆ m_contactProcessingThreshold

double btPersistentManifoldDoubleData::m_contactProcessingThreshold

Definition at line 310 of file btPersistentManifold.h.

## ◆ m_index1a

int btPersistentManifoldDoubleData::m_index1a

Definition at line 306 of file btPersistentManifold.h.

## ◆ m_numCachedPoints

int btPersistentManifoldDoubleData::m_numCachedPoints

Definition at line 303 of file btPersistentManifold.h.

## ◆ m_objectType

int btPersistentManifoldDoubleData::m_objectType

Definition at line 308 of file btPersistentManifold.h.

## ◆ m_padding

int btPersistentManifoldDoubleData::m_padding

Definition at line 311 of file btPersistentManifold.h.

## ◆ m_pointCacheAppliedImpulse

double btPersistentManifoldDoubleData::m_pointCacheAppliedImpulse[4]

Definition at line 281 of file btPersistentManifold.h.

## ◆ m_pointCacheAppliedImpulseLateral1

double btPersistentManifoldDoubleData::m_pointCacheAppliedImpulseLateral1[4]

Definition at line 292 of file btPersistentManifold.h.

## ◆ m_pointCacheAppliedImpulseLateral2

double btPersistentManifoldDoubleData::m_pointCacheAppliedImpulseLateral2[4]

Definition at line 293 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedContactDamping1

double btPersistentManifoldDoubleData::m_pointCacheCombinedContactDamping1[4]

Definition at line 299 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedContactStiffness1

double btPersistentManifoldDoubleData::m_pointCacheCombinedContactStiffness1[4]

Definition at line 297 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedFriction

double btPersistentManifoldDoubleData::m_pointCacheCombinedFriction[4]

Definition at line 283 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedRestitution

double btPersistentManifoldDoubleData::m_pointCacheCombinedRestitution[4]

Definition at line 286 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedRollingFriction

double btPersistentManifoldDoubleData::m_pointCacheCombinedRollingFriction[4]

Definition at line 284 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedSpinningFriction

double btPersistentManifoldDoubleData::m_pointCacheCombinedSpinningFriction[4]

Definition at line 285 of file btPersistentManifold.h.

## ◆ m_pointCacheContactCFM

double btPersistentManifoldDoubleData::m_pointCacheContactCFM[4]

Definition at line 296 of file btPersistentManifold.h.

## ◆ m_pointCacheContactERP

double btPersistentManifoldDoubleData::m_pointCacheContactERP[4]

Definition at line 298 of file btPersistentManifold.h.

## ◆ m_pointCacheContactMotion1

double btPersistentManifoldDoubleData::m_pointCacheContactMotion1[4]

Definition at line 294 of file btPersistentManifold.h.

## ◆ m_pointCacheContactMotion2

double btPersistentManifoldDoubleData::m_pointCacheContactMotion2[4]

Definition at line 295 of file btPersistentManifold.h.

## ◆ m_pointCacheContactPointFlags

int btPersistentManifoldDoubleData::m_pointCacheContactPointFlags[4]

Definition at line 291 of file btPersistentManifold.h.

## ◆ m_pointCacheDistance

double btPersistentManifoldDoubleData::m_pointCacheDistance[4]

Definition at line 280 of file btPersistentManifold.h.

## ◆ m_pointCacheFrictionCFM

double btPersistentManifoldDoubleData::m_pointCacheFrictionCFM[4]

Definition at line 300 of file btPersistentManifold.h.

## ◆ m_pointCacheIndex0

int btPersistentManifoldDoubleData::m_pointCacheIndex0[4]

Definition at line 289 of file btPersistentManifold.h.

## ◆ m_pointCacheIndex1

int btPersistentManifoldDoubleData::m_pointCacheIndex1[4]

Definition at line 290 of file btPersistentManifold.h.

## ◆ m_pointCacheLateralFrictionDir1

btVector3DoubleData btPersistentManifoldDoubleData::m_pointCacheLateralFrictionDir1[4]

Definition at line 278 of file btPersistentManifold.h.

## ◆ m_pointCacheLateralFrictionDir2

btVector3DoubleData btPersistentManifoldDoubleData::m_pointCacheLateralFrictionDir2[4]

Definition at line 279 of file btPersistentManifold.h.

## ◆ m_pointCacheLifeTime

int btPersistentManifoldDoubleData::m_pointCacheLifeTime[4]

Definition at line 301 of file btPersistentManifold.h.

## ◆ m_pointCacheLocalPointA

btVector3DoubleData btPersistentManifoldDoubleData::m_pointCacheLocalPointA[4]

Definition at line 273 of file btPersistentManifold.h.

## ◆ m_pointCacheLocalPointB

btVector3DoubleData btPersistentManifoldDoubleData::m_pointCacheLocalPointB[4]

Definition at line 274 of file btPersistentManifold.h.

## ◆ m_pointCacheNormalWorldOnB

btVector3DoubleData btPersistentManifoldDoubleData::m_pointCacheNormalWorldOnB[4]

Definition at line 277 of file btPersistentManifold.h.

## ◆ m_pointCachePartId0

int btPersistentManifoldDoubleData::m_pointCachePartId0[4]

Definition at line 287 of file btPersistentManifold.h.

## ◆ m_pointCachePartId1

int btPersistentManifoldDoubleData::m_pointCachePartId1[4]

Definition at line 288 of file btPersistentManifold.h.

## ◆ m_pointCachePositionWorldOnA

btVector3DoubleData btPersistentManifoldDoubleData::m_pointCachePositionWorldOnA[4]

Definition at line 275 of file btPersistentManifold.h.

## ◆ m_pointCachePositionWorldOnB

btVector3DoubleData btPersistentManifoldDoubleData::m_pointCachePositionWorldOnB[4]

Definition at line 276 of file btPersistentManifold.h.

## ◆ m_pointCachePrevRHS

double btPersistentManifoldDoubleData::m_pointCachePrevRHS[4]

Definition at line 282 of file btPersistentManifold.h.

The documentation for this struct was generated from the following file:

- btPersistentManifold.h